declare const _default: import("vue").DefineComponent<{
    label: {
        required: false;
        type: StringConstructor;
        default: string;
    };
}, {
    readonlyComp: import("vue").Ref<boolean>;
    companyCode: import("vue").Ref<any>;
    result: import("vue").Ref<string>;
    showPicker: import("vue").Ref<boolean>;
    columns: import("vue").Reactive<any[]>;
    onConfirm: (value: any) => void;
    PickerToggle: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "selected"[], "selected", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    label: {
        required: false;
        type: StringConstructor;
        default: string;
    };
}>> & {
    onSelected?: (...args: any[]) => any;
}, {
    label: string;
}, {}>;
export default _default;
